
From: Matt Mackall <mpm@selenic.com>

CONFIG_BASE_SMALL degrade char dev hash table to linked list

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/char_dev.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN fs/char_dev.c~base-small-shrink-chrdevs-hash fs/char_dev.c
--- 25/fs/char_dev.c~base-small-shrink-chrdevs-hash	2005-02-02 15:30:56.118412376 -0800
+++ 25-akpm/fs/char_dev.c	2005-02-02 15:30:56.123411616 -0800
@@ -26,7 +26,8 @@
 
 static struct kobj_map *cdev_map;
 
-#define MAX_PROBE_HASH 255	/* random */
+/* degrade to linked list for small systems */
+#define MAX_PROBE_HASH (CONFIG_BASE_SMALL ? 1 : 255)
 
 static DEFINE_RWLOCK(chrdevs_lock);
 
_
